Debian Bug report logs - #699337
Wget omits Host header for CONNECT

version graph

Package: wget; Maintainer for wget is Noël Köthe <noel@debian.org>; Source for wget is src:wget.

Reported by: Pavel Mateja <pavel@netsafe.cz>

Date: Wed, 30 Jan 2013 12:51:01 UTC

Severity: normal

Tags: fixed-upstream, patch, upstream

Found in version wget/1.13.4-3

Fixed in versions wget/1.14.96.38327-1, wget/1.15-1

Done: Noël Köthe <noel@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.gnu.org/bugs/?39780

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#699337; Package wget. (Wed, 30 Jan 2013 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavel Mateja <pavel@netsafe.cz>:
New Bug report received and forwarded. Copy sent to Noël Köthe <noel@debian.org>. (Wed, 30 Jan 2013 12:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pavel Mateja <pavel@netsafe.cz>
To: submit@bugs.debian.org
Subject: Wget omits Host header for CONNECT
Date: Wed, 30 Jan 2013 13:42:25 +0100
[Message part 1 (text/plain, inline)]
Package: wget
Version: 1.13.4-3

Wget violates RFC-2616
http://www.w3.org/Protocols/rfc2616/rfc2616-sec9.html#sec9
"The Host request-header field (section 14.23) MUST accompany all HTTP/1.1 
requests."

At least Apache requires all HTTP/1.1 requsts to have Host header.

Older version of wget sends HTTP/1.0 for CONNECT method so it's not affected.

Fix is in attached patch.

Sorry, I read "Don't file bugs upstream" after I sent email to wget-
bugs@gnu.org
-- 
Pavel Mateja
[connect-host-header (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#699337; Package wget. (Thu, 31 Jan 2013 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noël Köthe <noel@debian.org>:
Extra info received and forwarded to list. (Thu, 31 Jan 2013 13:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 699337@bugs.debian.org (full text, mbox):

From: Noël Köthe <noel@debian.org>
To: Pavel Mateja <pavel@netsafe.cz>, 699337@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#699337: Wget omits Host header for CONNECT
Date: Thu, 31 Jan 2013 14:33:48 +0100
[Message part 1 (text/plain, inline)]
forwarded 699337 http://lists.gnu.org/archive/html/bug-wget/2013-01/msg00019.html
tags 699337 + patch upstream
thanks

Hello Pavel,

Am Mittwoch, den 30.01.2013, 13:42 +0100 schrieb Pavel Mateja:

> Wget violates RFC-2616
> http://www.w3.org/Protocols/rfc2616/rfc2616-sec9.html#sec9
> "The Host request-header field (section 14.23) MUST accompany all HTTP/1.1 
> requests."
> 
> At least Apache requires all HTTP/1.1 requsts to have Host header.
> 
> Older version of wget sends HTTP/1.0 for CONNECT method so it's not affected.
> 
> Fix is in attached patch.

Thanks for your work and your patch.

> Sorry, I read "Don't file bugs upstream" after I sent email to wget-
> bugs@gnu.org

I'm not aware of such a notice or request. Can you tell me were you read
it? It is perfectly fine to report these problem directly to upstream as
you did.

-- 
Noël Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://lists.gnu.org/archive/html/bug-wget/2013-01/msg00019.html'. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2013 13:36:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream and patch. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2013 13:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#699337; Package wget. (Mon, 04 Feb 2013 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavel Mateja <pavel@netsafe.cz>:
Extra info received and forwarded to list. Copy sent to Noël Köthe <noel@debian.org>. (Mon, 04 Feb 2013 10:27:05 GMT) Full text and rfc822 format available.

Message #19 received at 699337@bugs.debian.org (full text, mbox):

From: Pavel Mateja <pavel@netsafe.cz>
To: 699337@bugs.debian.org
Cc: Noël Köthe <noel@debian.org>
Subject: Re: Bug#699337: Wget omits Host header for CONNECT
Date: Mon, 4 Feb 2013 11:17:31 +0100
> forwarded 699337
> http://lists.gnu.org/archive/html/bug-wget/2013-01/msg00019.html tags
> 699337 + patch upstream
> thanks

Welcome.

Do you think the patch will make it into next stable release?
Wget without this patch is unable to do any HTTPS requests thru apache proxy.
I guess I should have set severity higher than normal.
 
> Hello Pavel,
> 
> Am Mittwoch, den 30.01.2013, 13:42 +0100 schrieb Pavel Mateja:
> > Wget violates RFC-2616
> > http://www.w3.org/Protocols/rfc2616/rfc2616-sec9.html#sec9
> > "The Host request-header field (section 14.23) MUST accompany all
> > HTTP/1.1 requests."
> > 
> > At least Apache requires all HTTP/1.1 requsts to have Host header.
> > 
> > Older version of wget sends HTTP/1.0 for CONNECT method so it's not
> > affected.
> > 
> > Fix is in attached patch.
> 
> Thanks for your work and your patch.
> 
> > Sorry, I read "Don't file bugs upstream" after I sent email to wget-
> > bugs@gnu.org
> 
> I'm not aware of such a notice or request. Can you tell me were you read
> it? It is perfectly fine to report these problem directly to upstream as
> you did.

It's on http://www.debian.org/Bugs/Reporting

Don't file bugs upstream
If you file a bug in Debian, don't send a copy to the upstream software 
maintainers yourself, as it is possible that the bug exists only in Debian. If 
necessary, the maintainer of the package will forward the bug upstream.
-- 
Pavel Mateja



Information forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#699337; Package wget. (Mon, 04 Feb 2013 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noël Köthe <noel@koethe.net>:
Extra info received and forwarded to list. Copy sent to Noël Köthe <noel@debian.org>. (Mon, 04 Feb 2013 11:18:03 GMT) Full text and rfc822 format available.

Message #24 received at 699337@bugs.debian.org (full text, mbox):

From: Noël Köthe <noel@koethe.net>
To: 699337@bugs.debian.org
Subject: Re: Bug#699337: Wget omits Host header for CONNECT
Date: Mon, 04 Feb 2013 12:15:51 +0100
Hello Pavel,

Am Montag, den 04.02.2013, 11:17 +0100 schrieb Pavel Mateja:

> Do you think the patch will make it into next stable release?

Into the next wget stable release, should be. Into the next Debian
stable release wheezy, I don't think so because only release-critical
bugs are allowed to enter wheezy/testing in these days. Testing has 1.13
but unstable already has the latest upstream version 1.14 which will not
be allowed into testing until the release because its a new version.
You can see more information here: http://release.debian.org/

> Wget without this patch is unable to do any HTTPS requests thru apache proxy.
> I guess I should have set severity higher than normal.

If it would be important it would be the same case and the problem isn't
release critical (higher than important: see
http://www.debian.org/Bugs/Developer#severities ).

:( sorry for the bad news.
The only think which could be done is to ask debian-release@ people if
the patch could be allowed for this bug.

-- 
Noël Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#699337; Package wget. (Tue, 13 Aug 2013 14:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to NoëlKöthe <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Noël Köthe <noel@debian.org>. (Tue, 13 Aug 2013 14:12:07 GMT) Full text and rfc822 format available.

Message #29 received at 699337@bugs.debian.org (full text, mbox):

From: NoëlKöthe <INVALID.NOREPLY@gnu.org>
To: NoëlKöthe <noel@debian.org>, 699337@bugs.debian.org, gscrivano@gnu.org
Subject: [bug #39780] Wget omits Host header for CONNECT (RFC 2616)
Date: Tue, 13 Aug 2013 14:09:27 +0000
URL:
  <http://savannah.gnu.org/bugs/?39780>

                 Summary: Wget omits Host header for CONNECT (RFC 2616)
                 Project: GNU Wget
            Submitted by: nok
            Submitted on: Di 13 Aug 2013 16:09:26 CEST
                Category: Protocol Issue
                Severity: 3 - Normal
                Priority: 5 - Normal
                  Status: None
                 Privacy: Public
             Assigned to: None
         Originator Name: 
        Originator Email: 
             Open/Closed: Open
         Discussion Lock: Any
                 Release: trunk
        Operating System: GNU/Linux
         Reproducibility: Every Time
           Fixed Release: None
         Planned Release: None
              Regression: None
           Work Required: None
          Patch Included: Yes

    _______________________________________________________

Details:

Hello,

reported to the Debian bug tracker http://bugs.debian.org/699337 and discussed
on the wget mailinglist
https://lists.gnu.org/archive/html/bug-wget/2013-01/msg00019.html
But the patch from Pavel wasn't applied at that time.

Maybe it could be added.

Inline and attached:

--- a/src/http.c	2011-09-07 12:58:01.000000000 +0200
+++ a/src/http.c	2013-01-30 13:32:42.000000000 +0100
@@ -1847,10 +1847,9 @@
                  the regular request below.  */
               proxyauth = NULL;
             }
-          /* Examples in rfc2817 use the Host header in CONNECT
-             requests.  I don't see how that gains anything, given
-             that the contents of Host would be exactly the same as
-             the contents of CONNECT.  */
+          request_set_header (connreq, "Host",
+                              aprintf ("%s:%d", u->host, u->port),
+                              rel_value);
 
           write_error = request_send (connreq, sock);
           request_free (connreq);




    _______________________________________________________

File Attachments:


-------------------------------------------------------
Date: Di 13 Aug 2013 16:09:26 CEST  Name: connect-host-header  Size: 722B  
By: nok
connect-host-header.patch
<http://savannah.gnu.org/bugs/download.php?file_id=28833>

    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?39780>

_______________________________________________
  Nachricht gesendet von/durch Savannah
  http://savannah.gnu.org/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#699337; Package wget. (Tue, 13 Aug 2013 14:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noël Köthe <noel@debian.org>:
Extra info received and forwarded to list. (Tue, 13 Aug 2013 14:21:10 GMT) Full text and rfc822 format available.

Message #34 received at 699337@bugs.debian.org (full text, mbox):

From: Noël Köthe <noel@debian.org>
To: Pavel Mateja <pavel@netsafe.cz>, 699337@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#699337: Wget omits Host header for CONNECT
Date: Tue, 13 Aug 2013 16:20:02 +0200
[Message part 1 (text/plain, inline)]
forwarded 699337 https://savannah.gnu.org/bugs/?39780
thanks

Hello again,

Am Mittwoch, den 30.01.2013, 13:42 +0100 schrieb Pavel Mateja:

> Wget violates RFC-2616
> http://www.w3.org/Protocols/rfc2616/rfc2616-sec9.html#sec9
> "The Host request-header field (section 14.23) MUST accompany all HTTP/1.1 
> requests."
> 
> At least Apache requires all HTTP/1.1 requsts to have Host header.
> 
> Older version of wget sends HTTP/1.0 for CONNECT method so it's not affected.
> 
> Fix is in attached patch.

Because the patch wasn't applied in Jan 2013 after your emails on the
mailinglist I reported it in the wget bug tracker so it wouldn't be
forgotten.


-- 
Noël Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Changed Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/?39780' from 'http://lists.gnu.org/archive/html/bug-wget/2013-01/msg00019.html' Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Tue, 13 Aug 2013 14:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Noël Köthe <noel@debian.org>:
Bug#699337; Package wget. (Sat, 02 Nov 2013 10:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Scrivano <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Noël Köthe <noel@debian.org>. (Sat, 02 Nov 2013 10:36:04 GMT) Full text and rfc822 format available.

Message #41 received at 699337@bugs.debian.org (full text, mbox):

From: Giuseppe Scrivano <INVALID.NOREPLY@gnu.org>
To: Giuseppe Scrivano <gscrivano@gnu.org>, NoëlKöthe <noel@debian.org>, 699337@bugs.debian.org
Subject: [bug #39780] Wget omits Host header for CONNECT (RFC 2616)
Date: Sat, 02 Nov 2013 10:32:15 +0000
Update of bug #39780 (project wget):

                  Status:                    None => Fixed                  
             Open/Closed:                    Open => Closed                 
         Planned Release:                    None => 1.15                   

    _______________________________________________________

Follow-up Comment #1:

the patch is applied upstream now.

    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?39780>

_______________________________________________
  Messaggio inviato con/da Savannah
  http://savannah.gnu.org/




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 04 Nov 2013 18:36:25 GMT) Full text and rfc822 format available.

Reply sent to Noël Köthe <noel@debian.org>:
You have taken responsibility. (Fri, 08 Nov 2013 10:06:36 GMT) Full text and rfc822 format available.

Notification sent to Pavel Mateja <pavel@netsafe.cz>:
Bug acknowledged by developer. (Fri, 08 Nov 2013 10:06:36 GMT) Full text and rfc822 format available.

Message #48 received at 699337-close@bugs.debian.org (full text, mbox):

From: Noël Köthe <noel@debian.org>
To: 699337-close@bugs.debian.org
Subject: Bug#699337: fixed in wget 1.14.96.38327-1
Date: Fri, 08 Nov 2013 10:03:32 +0000
Source: wget
Source-Version: 1.14.96.38327-1

We believe that the bug you reported is fixed in the latest version of
wget, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699337@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Noël Köthe <noel@debian.org> (supplier of updated wget package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 08 Nov 2013 08:14:32 +0100
Source: wget
Binary: wget
Architecture: source amd64
Version: 1.14.96.38327-1
Distribution: experimental
Urgency: low
Maintainer: Noël Köthe <noel@debian.org>
Changed-By: Noël Köthe <noel@debian.org>
Description: 
 wget       - retrieves files from the web
Closes: 672131 686837 696700 697081 699337 712540 716938 718262
Changes: 
 wget (1.14.96.38327-1) experimental; urgency=low
 .
   * 1.15 alpha version from 2013-11-02
     - removed patches which are included now upstream:
       wget-doc-fixitemx2item.patch
       wget-doc-remove2.nv.patch
       wget-doc-texi2pod_fixperl5.18change.patch
     - included fixes for
       Wget: fails with long file names in URLs Closes: #672131
       Wget omits Host header for CONNECT Closes: #699337
       Wget: Inaccurate catalan translation Closes: #697081
       Cannot write to ... (Success) Closes: #716938
       Regression: write error on wget -c for already fully retrieved file
       Closes: #696700
       wget: NTLM not supported Closes: #718262
       wget --no-check-certificate does check certificate in certain conditions
       Closes: #686837
   * debian/control add Recommends ca-certificates to get
     https URLs working. Closes: #712540
   * debian/rules fix lintian warning dh-clean-k-is-deprecated
Checksums-Sha1: 
 a672a7e0b11556049ddcb71119985dcc210d99b0 1804 wget_1.14.96.38327-1.dsc
 bb75b2987262c33460435a886d1f5ada5b7b4f27 3387602 wget_1.14.96.38327.orig.tar.gz
 8cdfb0ac61d20e20087498f0a38857db2af45841 20916 wget_1.14.96.38327-1.debian.tar.gz
 f6c985c6d45eb4e89ab5dd77951ea0c47698ed1c 559126 wget_1.14.96.38327-1_amd64.deb
Checksums-Sha256: 
 19583e3042c636e4f53b262c378902af248c4ab974e5aed9f990e5961a829cfd 1804 wget_1.14.96.38327-1.dsc
 e1b9d8f1a76ce325eaa707cf1e2e134b44165cc48f607c7d0b4344cdc31ff897 3387602 wget_1.14.96.38327.orig.tar.gz
 1db1c033b1149f92c87f2c19bdf70068f9bd4cbbe5b7b0ce9b8910290dfb8b1d 20916 wget_1.14.96.38327-1.debian.tar.gz
 fb127e5709cc822dde86f583afbd65781ee2cf7881691b23c9b3fd4b72f09f45 559126 wget_1.14.96.38327-1_amd64.deb
Files: 
 3d015fa17eaa050703c16042af72f2b1 1804 web important wget_1.14.96.38327-1.dsc
 cd00a6b96ae3a32aa0f340d818d3b88b 3387602 web important wget_1.14.96.38327.orig.tar.gz
 06f84b38661112bf806a9db894320d9b 20916 web important wget_1.14.96.38327-1.debian.tar.gz
 884a538037e06bb400c3c26a366f2019 559126 web important wget_1.14.96.38327-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSfLHkAAoJEGjAeL6I+AzaDy0P/3LXGCOtCFsib+tEM1+TIgWN
I8KSpOIooWis6thoVftS6XW4qBvMTAOrwL+3ulpV1f/JR/wJOpVewOQxDr/cDG0d
ut7q06pmE47gZr6kJTLO7eyILBzPztn+vBqij7MEPvik8YpmezXn1iysL5ruoAwo
M5lphp5LJRIE/Rc5TREF2ygRRtnzcJuzgWLFy4COL6QzjY7+ZfVPNDdxv7B6OPai
9XjFrdFkw/jx3LLSpDg7oYZruwoWm8DrtbuXOuvrBVgk0AVqe+uwITeIJ+oGqDnm
JT9WXinSuekx3kADId7Qjawq5FAsd6XGi4f0K2lLSR6SG2/Pm+rvURGJucxgIH7j
siICLb8DbCPpAOitZB2jNgRCkAXAcstFsGDPPOlCX9oAhm9ZTfMXfD3wVA+k78nu
d9pigGiC9s7SkwWXPzNg+n8sfuic15OwN+6D9eiXqftMJy0moVWG/KUs2w3Kx/XG
xafJZ+3xDuMhqecZ0KKs5bLPLq+EF58DbX2U2HaU5FUmn0PgONqk4XIwvSNG6X8L
+6IeYcAPEZdV7ZXSS6VWgIxoOuPdl6SDdxP2m+im7ByOGngrxy1HPH0wZK+Nz4U0
TmKY+aV5wrpaVYf31pcynGEZ7bmcLAO6U3gWym/xWIJvgUKYA2WKrENMKLTjMoEQ
ouAVD+alrbw/0W6L1QoW
=rRdf
-----END PGP SIGNATURE-----




Reply sent to Noël Köthe <noel@debian.org>:
You have taken responsibility. (Mon, 20 Jan 2014 19:51:21 GMT) Full text and rfc822 format available.

Notification sent to Pavel Mateja <pavel@netsafe.cz>:
Bug acknowledged by developer. (Mon, 20 Jan 2014 19:51:21 GMT) Full text and rfc822 format available.

Message #53 received at 699337-close@bugs.debian.org (full text, mbox):

From: Noël Köthe <noel@debian.org>
To: 699337-close@bugs.debian.org
Subject: Bug#699337: fixed in wget 1.15-1
Date: Mon, 20 Jan 2014 19:49:08 +0000
Source: wget
Source-Version: 1.15-1

We believe that the bug you reported is fixed in the latest version of
wget, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699337@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Noël Köthe <noel@debian.org> (supplier of updated wget package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 Jan 2014 20:17:54 +0100
Source: wget
Binary: wget
Architecture: source amd64
Version: 1.15-1
Distribution: unstable
Urgency: medium
Maintainer: Noël Köthe <noel@debian.org>
Changed-By: Noël Köthe <noel@debian.org>
Description: 
 wget       - retrieves files from the web
Closes: 672131 686837 696700 697081 699337 716938 718262
Changes: 
 wget (1.15-1) unstable; urgency=medium
 .
   * new upstream release from 2014-01-19
       Wget: fails with long file names in URLs Closes: #672131
       Wget omits Host header for CONNECT Closes: #699337
       Wget: Inaccurate catalan translation Closes: #697081
       Cannot write to ... (Success) Closes: #716938
       Regression: write error on wget -c for already fully retrieved file
       Closes: #696700
       wget: NTLM not supported Closes: #718262
       wget --no-check-certificate does check certificate in certain conditions
       Closes: #686837
   * debian/control updated Standard-Version; no changes needed
Checksums-Sha1: 
 2d2dd574522f89684fcc87a7def5ffb950288f8b 1724 wget_1.15-1.dsc
 f3c925f19dfe5ed386daae4f339175c108c50574 3417936 wget_1.15.orig.tar.gz
 45d82934b345cb4c21c96d1d781c2ae17258bed7 18520 wget_1.15-1.debian.tar.xz
 1461bd5c445309f212f97bdc93ce85d3960440c3 566378 wget_1.15-1_amd64.deb
Checksums-Sha256: 
 520e193b1f3d733ba45fc646184e925798ea5462769110cc589d3cf8c40a4d77 1724 wget_1.15-1.dsc
 52126be8cf1bddd7536886e74c053ad7d0ed2aa89b4b630f76785bac21695fcd 3417936 wget_1.15.orig.tar.gz
 5bb2b21c83a6cff9b0f8680d6757a39fd89c2c2fc35e4eae9883e9f47a65055a 18520 wget_1.15-1.debian.tar.xz
 7d60225b0cce5e2ca7517d452da1c03a843872063d675f6f5f36e3946e79c684 566378 wget_1.15-1_amd64.deb
Files: 
 7c108351d38ad90e874460a1d597ae9f 1724 web important wget_1.15-1.dsc
 506df41295afc6486662cc47470b4618 3417936 web important wget_1.15.orig.tar.gz
 bdf8a8091b4e304318a4d452ee4f6b41 18520 web important wget_1.15-1.debian.tar.xz
 598eb6030e8489d31f1e47b88a74185b 566378 web important wget_1.15-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS3XnJAAoJEGjAeL6I+AzaI+cQAI5lr/I8imq/tNdGuWsQR8QY
yk+kBaGneXVmdrcDwNY5l3gEoRe0MQx6Sfy9Burs2vElUfqSK37VYwvBffZ4QAB9
qDoLtRu4FHbxU95QIpVa3sVoTodbbUM7RPwAgK8es16+PiK2qRQJCtQnLwEgSELA
L1JMUZQH3J+YCffllxvl4i9iiYYH+N17AA3Q+FLoJEjDhu48/I2phgA2xXMvgLeq
spGi+T/fsviH+UdTN0kkLgZzaDJhuhUTrjT5E531JfZ/U0E2MH5e74fCp4u7DwjC
m6CvU6UBOrF0v1WEvkKnVHDboFyL1wIq0+jXrZxPTqyhufstSCf2k+Uz3Ay2Wz1T
RdNJeCOwsHXo0wbNK5bwLEKzeQUCSiPd6So9b/avowBZabjF6wKnfH2/wMRo0Bkd
RJlTJvWUUpX6xSE0HcfvMWUDFbiK3+XiyfAygVruTptZvIA996df8AE/tVaH6Ohc
+9IpJUrCyBCH5jVz7aQ+N7shhh/OnCVQOqiptm8AQw0hi2hHyn2HyXzqo6rsKYRG
1AulrPJ7qn4uM84pZofpdpzr39Uah5OOVzP0tvLmeqsyA+nrFMv6ypmX/B+TAvKp
s28VmzeyEDLW+5duzOJZIEqbP9EiqgjWDjvVcl6iYYhpBupTCzsNAP4SrJYXnNRQ
/4kPQBZDT5f86AZncC4X
=7JCN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Feb 2014 07:29:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:39:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.